# Class pyglet.graphics.vertexbuffer.VertexArrayRegion

    AbstractBufferRegion --+
                           |
                          VertexArrayRegion

A mapped region of a vertex array.

The invalidate method is a no-op but is provided in order to present a consistent interface with VertexBufferObjectRegion.

## Methods

| __init__(self, array)
| invalidate(self) Mark this region as changed. (Inherited from pyglet.graphics.vertexbuffer.AbstractBufferRegion)

## Instance Variables

ctypes array | array Array of data, of the type and count requested by `get_region`. (Inherited from pyglet.graphics.vertexbuffer.AbstractBufferRegion)